/*---------------------------------------
  TIMELINE              
-----------------------------------------*/
.timeline-section {
  /* background-image: url('../images/colleagues-working-cozy-office-medium-shot.jpg');*/
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  position: relative;
}

.timeline-container .vertical-scrollable-timeline {
  list-style-type: none;
  position: relative;
  padding-left: 0;
}

.timeline-container .vertical-scrollable-timeline .list-progress {
  width: 8px;
  height: 97%;
  background-color: var(--accent-color);
  position: absolute;
  left: 26px;
  top: 0;
  overflow: hidden;
}

.timeline-container .vertical-scrollable-timeline .list-progress .inner {
  position: absolute;
  right: 0;
  bottom: 0;
  height: 100%;
  background-color: #deedfd;
  width: 100%;
}

.timeline-container .vertical-scrollable-timeline li {
  position: relative;
  padding: 10px 0px 35px 60px;
  text-align: justify;
}

.timeline-container .vertical-scrollable-timeline li:last-child {
  padding-bottom: 0;
}

.timeline-container .vertical-scrollable-timeline li p {
  line-height: 20px;
}

.timeline-container .vertical-scrollable-timeline li p:last-child {
  margin-bottom: 0;
}

.timeline-container .vertical-scrollable-timeline li .icon-holder {
  position: absolute;
  left: 0;
  top: 0;
  width: 52px;
  height: 52px;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #deedfd;
  border-radius: 50%;
  z-index: 1;
  transition: 0.4s all;
}

.timeline-container .vertical-scrollable-timeline li .icon-holder::before {
  content: "";
  width: 40px;
  height: 40px;
  border: 2px solid #fff;
  position: absolute;
  background-color: #deedfd;
  border-radius: 50%;
  z-index: -1;
  transition: 0.4s all;
}

.timeline-container .vertical-scrollable-timeline li .icon-holder i {
  font-size: 18px;
  color: var(--white-color);
}

.timeline-container .vertical-scrollable-timeline li::before {
  content: "";
  position: absolute;
  height: 100%;
  width: 8px;
  background-color: transparent;
  left: 52px;
  z-index: 0;
}

.timeline-container .vertical-scrollable-timeline li.active .icon-holder {
  background-color: var(--accent-color);
}

.timeline-container
  .vertical-scrollable-timeline
  li.active
  .icon-holder::before {
  /* background-color: var(--accent-color);*/

  background-color: #fff;
}

.list-progress {
  position: relative;
}
.list-progress .inner {
  position: absolute;
  width: 100%;
  height: 0;

  animation: paint linear both;
  animation-timeline: scroll(root block);
  animation-range: cover 0% cover 100%;
}
@keyframes paint {
  0% {
    height: 100%;
  }
  100% {
    height: 0;
  }
}
